Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 01:00
All times are UTC - 4
 Forum index » Advanced Topics » Cutting edge
GUI to download LibreOffice - beta quality
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 18 [259 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 16, 17, 18 Next
Author Message
L18L

Joined: 19 Jun 2010
Posts: 2505
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Fri 16 Sep 2011, 16:31    Post subject:  

Hi 01micko,

Just tried with wary513 frugal.
excellent and fast enough on my 1.5GHz box.

Just 1 comment:
I know that JRE is required
I had none at installing
LO could not exit always the message: Install JRE....
OK and endless loop.

No problem for me, but maybe a check on existing JRE at beginning could be helpful for others

Thank you Smile
L
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Fri 16 Sep 2011, 16:59    Post subject:  

L18L wrote:
Hi 01micko,

Just tried with wary513 frugal.
excellent and fast enough on my 1.5GHz box.

Just 1 comment:
I know that JRE is required
I had none at installing
LO could not exit always the message: Install JRE....
OK and endless loop.

No problem for me, but maybe a check on existing JRE at beginning could be helpful for others

Thank you Smile
L


I did test in Wary awhile back, can't recall any issues. In Slacko I get the java warning 5 times and dismiss it then start LO again and it's ok. Maybe just a warning that Java is "desired" and if LO fails then is "required", what do you think? I guess LO devs know about this and I'm a bit surprised that with the split from Oracle that they don't eliminate Java dependency.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Fri 16 Sep 2011, 19:03    Post subject:  

01micko wrote:
L18L wrote:
Hi 01micko,

Just tried with wary513 frugal.
excellent and fast enough on my 1.5GHz box.

Just 1 comment:
I know that JRE is required
I had none at installing
LO could not exit always the message: Install JRE....
OK and endless loop.

No problem for me, but maybe a check on existing JRE at beginning could be helpful for others

Thank you Smile
L


I did test in Wary awhile back, can't recall any issues. In Slacko I get the java warning 5 times and dismiss it then start LO again and it's ok. Maybe just a warning that Java is "desired" and if LO fails then is "required", what do you think? I guess LO devs know about this and I'm a bit surprised that with the split from Oracle that they don't eliminate Java dependency.

Cheers
Java is apparantly needed only for the Impress and Database functions. All other features appear to work well without Java.
Back to top
View user's profile Send private message 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Fri 16 Sep 2011, 20:37    Post subject:  

Encountered odd behavior with this program today. I am running 5.25 retro and 5.28 on a desktop. I am also running 5.28 on a netbook. I tried this program without success in each os on each computer. It will only download the help file. It will not download the english language pack or the main program. I ran the program several times throughout the day thinking that it might be a temporary issue on their server but no success even after coming back to it several hours later.
Back to top
View user's profile Send private message Yahoo Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Fri 16 Sep 2011, 20:59    Post subject:  

roadkill13 wrote:
I ran the program several times throughout the day thinking that it might be a temporary issue on their server but no success even after coming back to it several hours later.


Working ok for me as I type.. Confused . It certainly is possible that it is(was) a server issue, I have encountered it on numerous occasions. Maybe try another day?

I'd also be interested to know what feedback the program gave you, any error messages? There is error control in place but it could be improved upon.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Fri 16 Sep 2011, 21:21    Post subject:  

@01micko

Still not working here. Just tried it again. It downloaded the help files just as it has before. Once downloaded a new window pops up as though the next file would be downloaded. It closes almost as soon as it opens. No chance to see the dialogue. A pinkish colored gtk dialogue is then presented with the message "failed to download please try again later".

I assume that the error message that you were asking for would have been in the download console window for the failed download but it opens and closes so quickly that it is not possible to observe.
Back to top
View user's profile Send private message Yahoo Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Fri 16 Sep 2011, 21:28    Post subject:  

can you post the contents of /tmp/getlibre_lang please?

I may have to do some better logging to debug failure. The splash screen announcing failure indicates that wget failed to get a connection to the server, throwing an exit code other than 0.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Fri 16 Sep 2011, 21:35    Post subject:  

Quote:
can you post the contents of /tmp/getlibre_lang please?


No such file in /tmp

There is a file /tmp/libre_check but it appears to be an empty document.
Back to top
View user's profile Send private message Yahoo Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Fri 16 Sep 2011, 21:44    Post subject:  

Ok, I'll see where the breakdown happens.. has the prog ever worked for you before?

Also, which version of LO were you attempting to retrieve?

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Fri 16 Sep 2011, 21:48    Post subject:  

I have been using version 0.8 and I attempted to retrieve both packages at various times. To be sure that I did not cause any issues I deleted the download folder after each aborted attempt so that the installer would start from square one on the next download.
Back to top
View user's profile Send private message Yahoo Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Fri 16 Sep 2011, 21:55    Post subject:  

I have found the bug. You are attempting to get extra lang pack(s) correct? This fails. I'll fix it soon, but not right now, probably by tomorrow.

Thanks for reporting.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Fri 16 Sep 2011, 22:16    Post subject:  

Quote:
You are attempting to get extra lang pack(s) correct?


Yes. The dialogue offers the help files and the en_us language pack.
Back to top
View user's profile Send private message Yahoo Messenger 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Sat 17 Sep 2011, 02:32    Post subject:  

roadkill13 and those interested,

Posted a bugfixed and enhanced version, I completely changed the routine for getting the extra packages, there was a fundamental mistake.

see main post

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
L18L

Joined: 19 Jun 2010
Posts: 2505
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Sat 17 Sep 2011, 07:49    Post subject: LO
Subject description: JRE
 

01micko wrote:
L18L wrote:
Hi 01micko,

Just tried with wary513 frugal.
excellent and fast enough on my 1.5GHz box.

Just 1 comment:
I know that JRE is required
I had none at installing
LO could not exit always the message: Install JRE....
OK and endless loop.

No problem for me, but maybe a check on existing JRE at beginning could be helpful for others

Thank you Smile
L


I did test in Wary awhile back, can't recall any issues. In Slacko I get the java warning 5 times and dismiss it then start LO again and it's ok. Maybe just a warning that Java is "desired" and if LO fails then is "required", what do you think? I guess LO devs know about this and I'm a bit surprised that with the split from Oracle that they don't eliminate Java dependency.

Cheers

I can't recall whether the3 loop was endless or just 5 times but I should have mentioned that I have3 installed sfs_load and started LO directly there from (and started get_LibreOffice from command line).

I have understood the message that java IS required.

But it is not.
First thing I have done today, with puppy, was launching from menu
LO writer no msg
then impress and database ; thank you jim

now i know that java is not required

note i had installed lo as sixth sfs and removed one afterwards

sorry for all lower case
that can happen if keyboard is wet :::::::
Back to top
View user's profile Send private message 
roadkill13

Joined: 10 Aug 2011
Posts: 74
Location: United States

PostPosted: Sat 17 Sep 2011, 10:25    Post subject:  

@01micko

Thank you for updating this application. I tried the 0.9 version moments ago. Regrettably I must report identical results with 0.9 as with 0.8.

If I deselect the help file and the en_us language pack (these are selected by default) the application downloads and successfully installs Libre Office.

Doing this required that I proceed to the Libre Office website and manually download the help file which I installed using petget.

I noticed that when the application made the Libre Office sfs it included en_us in the name of the sfs. A check of the Libre Office website revealed that en_us language pack is not available for download.

Assuming that gui installer failed because there is no en_us language pack available for download the next step was to clean up the current installation and start all over.

This time I "deselected" the en_us language pack but left the default selection for the help files as is. The installer downloaded Libre Office and successfully completed the process. However it ignored the help file package entirely. I still needed to download that manually and install it after the fact.

Question:

Who deleted my original edit Question
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 4 of 18 [259 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 16, 17, 18 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Cutting edge
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0853s ][ Queries: 12 (0.0061s) ][ GZIP on ]